"use strict";
var FontPickerConfig = (function () {
    function FontPickerConfig(config) {
        if (config === void 0) { config = {}; }
        this.apiKey = null;
        this.assign(config);
    }
    FontPickerConfig.prototype.assign = function (config) {
        if (config === void 0) { config = {}; }
        for (var key in config) {
            this[key] = config[key];
        }
    };
    return FontPickerConfig;
}());
exports.FontPickerConfig = FontPickerConfig;
var Font = (function () {
    function Font(props) {
        this.family = props.family || 'monospace';
        this.styles = props.styles || ['regular'];
        this.files = props.files || null;
        this.style = props.style || 'regular';
        this.size = props.size || 14;
    }
    Font.prototype.getStyles = function () {
        return {
            'font-size': this.size.toString() + 'px',
            'font-family': this.family || 'monospace',
            'font-style': this.style.includes('italic') ? 'italic' : 'normal',
            'font-weight': isNaN(Number(this.style.slice(0, 3))) ? 'normal' : this.style.slice(0, 3)
        };
    };
    return Font;
}());
exports.Font = Font;
var GoogleFonts = (function () {
    function GoogleFonts() {
    }
    return GoogleFonts;
}());
exports.GoogleFonts = GoogleFonts;
//# sourceMappingURL=interfaces.js.map