"use strict";
var core_1 = require('@angular/core');
var FontStylesPipe = (function () {
    function FontStylesPipe() {
    }
    FontStylesPipe.prototype.transform = function (value) {
        var lookup = {
            "100": "Thin",
            "200": "Extra-Light",
            "300": "Light",
            "400": "Regular",
            "500": "Medium",
            "600": "Semi-bold",
            "700": "Bold",
            "800": "Extra-bold",
            "900": "Black"
        };
        for (var style in lookup) {
            var found = value.search(style);
            if (found >= 0) {
                value = value.replace(style, lookup[style] + " ");
                break;
            }
        }
        return value;
    };
    FontStylesPipe.decorators = [
        { type: core_1.Pipe, args: [{
                    name: 'FontStyles',
                    pure: true
                },] },
    ];
    /** @nocollapse */
    FontStylesPipe.ctorParameters = function () { return []; };
    return FontStylesPipe;
}());
exports.FontStylesPipe = FontStylesPipe;
var StatefulSlicePipe = (function () {
    function StatefulSlicePipe() {
        this.slicedArray = [];
        this.previousArrayRef = [];
        this.previousEndValue = null;
    }
    StatefulSlicePipe.prototype.transform = function (arr, start, end) {
        if (arr && (this.previousEndValue != end || this.previousArrayRef !== arr)) {
            this.slicedArray = arr.slice(start, end);
            this.previousArrayRef = arr;
            this.previousEndValue = end;
        }
        return this.slicedArray || arr;
    };
    StatefulSlicePipe.decorators = [
        { type: core_1.Pipe, args: [{
                    name: 'StatefulSlice',
                    pure: false
                },] },
    ];
    /** @nocollapse */
    StatefulSlicePipe.ctorParameters = function () { return []; };
    return StatefulSlicePipe;
}());
exports.StatefulSlicePipe = StatefulSlicePipe;
//# sourceMappingURL=pipes.js.map